(define (script-fu-quick-jpeg-save image) 
  (let* ((nameparts (strbreakup (car (gimp-image-get-filename image)) "."))
         (filename "") )
    (unless (and (> (length nameparts) 1)
                 (member (car (last nameparts)) '("jpg" "jpeg" "JPG" "JPEG")) )
      (set! nameparts (append (butlast nameparts) '("jpg"))) )
    (set! filename (unbreakupstr nameparts "."))
    (let* ((buffer (car (gimp-edit-named-copy-visible image "jpg buffer")))
           (new-image (car (gimp-edit-named-paste-as-new buffer)))
           (layer (car (gimp-image-flatten new-image))) )
      (unless (zero? (car (gimp-image-base-type new-image)))
        (gimp-image-convert-rgb new-image) )
      (file-jpeg-save RUN-NONINTERACTIVE 
                      new-image 
                      layer
                      filename 
                      filename 
                      0.85 ; JPEG compression level
                      0 ; smoothing 
                      1 ; optimize 
                      1 ; progressive 
                      "" ; comment 
                      0 ; subsmp (0-4)
                      1 ; baseline 
                      0 ; restart 
                      0 ;dct 
                      )
      (gimp-image-delete new-image) )))

(script-fu-register "script-fu-quick-jpeg-save"
  "Quick Save (JPEG)"
  "Save a copy of the image as a JPEG"
  "Saul Goode"
  "saulgoode"
  "May 2012"
  "*"
  SF-IMAGE    "Image"    0
  )
  
(script-fu-menu-register "script-fu-quick-jpeg-save"
  "<Image>/File/Save"
  )